﻿var tz = TimeZoneInfo.Local;
var now = DateTime.Now;
var unspecifiedNow = new DateTime(now.Year, now.Month, now.Day, now.Hour, now.Minute, now.Second);
var timeOnly = TimeOnly.FromDateTime(now);
var dateOnly = DateOnly.FromDateTime(now);
var dateTimeOffset = DateTimeOffset.Now;

Console.WriteLine("TIME ZONE");
Console.WriteLine($"Current Time Zone: {tz}");
Console.WriteLine($"Base UTC Offset: {tz.BaseUtcOffset}");
Console.WriteLine($"Supporst Daylight Saving Time: {tz.SupportsDaylightSavingTime}");
Console.WriteLine($"Is Daylight Savings Time: {tz.IsDaylightSavingTime(now)}");
Console.WriteLine($"Standard Name: {tz.StandardName}");
Console.WriteLine($"Daylight Name: {tz.DaylightName}");
Console.WriteLine($"Is Ambiguous Time: {tz.IsAmbiguousTime(now)}");

Console.WriteLine();
Console.WriteLine("DATETIME");
Console.WriteLine($"{now}  Kind: {now.Kind}");
Console.WriteLine($"{unspecifiedNow}  Kind: {unspecifiedNow.Kind}");
Console.WriteLine($"DateTime.MinValue: {DateTime.MinValue:MM/dd/yyyy gg HH:mm:ss:fffffff}");
Console.WriteLine($"DateTime.MaxValue: {DateTime.MaxValue:MM/dd/yyyy gg HH:mm:ss:fffffff}");

Console.WriteLine();
Console.WriteLine("TIME ONLY");
Console.WriteLine($"{timeOnly}");
Console.WriteLine($"TimeOnly.MinValue: {TimeOnly.MinValue:HH:mm:ss:fffffff}");
Console.WriteLine($"TimeOnly.MaxValue: {TimeOnly.MaxValue:HH:mm:ss:fffffff}");

Console.WriteLine();
Console.WriteLine("DATE ONLY");
Console.WriteLine($"{dateOnly}");
Console.WriteLine($"DateOnly.MinValue: {DateOnly.MinValue:MM/dd/yyyy gg}");
Console.WriteLine($"DateOnly.MaxValue: {DateOnly.MaxValue:MM/dd/yyyy gg}");

Console.WriteLine();
Console.WriteLine("DATETIMEOFFSET");
Console.WriteLine($"{dateTimeOffset}");
Console.WriteLine($"DateTimeOffset.MinValue: {DateTimeOffset.MinValue:MM/dd/yyyy gg HH:mm:ss:fffffff}");
Console.WriteLine($"DateTimeOffset.MaxValue: {DateTimeOffset.MaxValue:MM/dd/yyyy gg HH:mm:ss:fffffff}");

Console.WriteLine();
Console.WriteLine("TIMESPAN"); 
Console.WriteLine($"TimeSpan.MinValue: {TimeSpan.MinValue}");
Console.WriteLine($"TimeSpan.MaxValue: {TimeSpan.MaxValue}");



